# -*- coding: utf-8 -*-
##############################################################################
#
#    wms_scanner module for OpenERP, Module for manage barcode reader
#    Copyright (C) 2010 SYLEAM (<http://syleam.fr/>)
#              Christophe Chauvet <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms_scanner
#
#    wms_scanner is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms_scanner is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'Wms Scanner',
    'version': '0.1.0',
    'category': 'Custom',
    'description': """Module for manage barcode reader

- Affect scanner to a warehouse
- compose scenario
- affect scenarios on on a specific scenario

Sponsored by Neolog http://www.neolog.pro/
    
""",
    'author': 'SYLEAM',
    'website': 'http://syleam.fr/',
    'depends': [
        'product',
        'stock',
        'wms',
    ],
    'init_xml': [],
    'update_xml': [
        #'security/groups.xml',
        #'security/ir.model.access.csv',
        'view/menu.xml',
        'view/scanner.xml',
        #'wizard/wizard.xml',
        #'report/report.xml',
    ],
    'demo_xml': [],
    'installable': True,
    'active': False,
    'license': 'GPL-3',
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
